<template>
  <a-card :bordered="false" :class="'cust-erp-sub-tab'">
    <!-- 查询区域 -->
    <div class="table-page-search-wrapper">
      <a-form layout="inline" @keyup.enter.native="searchQuery">
        <a-row :gutter="24">
        </a-row>
      </a-form>
    </div>
    <!-- 查询区域-END -->

    <!-- table区域-begin -->
    <div>
      <!-- <div class="ant-alert ant-alert-info" style="margin-bottom: 16px;">
        <i class="anticon anticon-info-circle ant-alert-icon"></i> 已选择 <a style="font-weight: 600">{{ selectedRowKeys.length }}</a>项
        <a style="margin-left: 24px" @click="onClearSelected">清空</a>
      </div> -->

      <a-table
        ref="table"
        size="middle"
        bordered
        rowKey="id"
        :scroll="{x:true}"
        :columns="columns"
        :dataSource="dataSource"
        :pagination="ipagination"
        :loading="loading"
        @change="handleTableChange">
      </a-table>
    </div>
  </a-card>
</template>

<script>
  import { JeecgListMixin } from '@/mixins/JeecgListMixin'
import { getAction } from '../../api/manage'

  export default {
    name: "ProcessParametersTemplateDetail",
    mixins:[JeecgListMixin],
    props:{
      processParametersTemplateId:{
        type:String,
        default:'',
        required:false
      }
    },
    watch:{
      processParametersTemplateId:{
        immediate: true,
        handler(val) {
          if(!this.processParametersTemplateId){
            this.clearList()
          }else{
            this.queryParam['processParametersTemplateId'] = val;
            this.queryParam['delFlag'] = 0;
            this.loadData(1);
          }
        }
      }
    },
    data () {
      return {
        disableMixinCreated:true,
        originTargetKeys:[],
        // 表头
        columns: [
          {
            title: '#',
            dataIndex: '',
            key:'rowIndex',
            width:100,
            align:"center",
            customRender:function (t,r,index) {
              return parseInt(index)+1;
            }
          },
          {
            title:'工艺参数编码',
            align:"center",
            dataIndex: 'processParametersNum',
            width:400
          },
          {
            title:'工艺参数名称',
            align:"center",
            dataIndex: 'processParametersName',
            width:400
          },
          {
            title:'工艺参数分类',
            align:"center",
            dataIndex: 'processParametersCategory',
            width:400
          },
          {
            title:'计量单位',
            align:"center",
            dataIndex: 'unit',
          },
        ],
        url: {
          list: "/eam/processParametersTemplateDetail/listByProcessParametersTemplateId",
        },
        dictOptions:{
        }
      }
    },
    created() {
    },
    computed: {
    },
    methods: {
      clearList(){
        this.dataSource=[]
        this.selectedRowKeys=[]
        this.ipagination.current = 1
      },
      loadData(arg) {
      if(!this.url.list){
        this.$message.error("请设置url.list属性!")
        return
      }
      //加载数据 若传入参数1则加载第一页的内容
      if (arg === 1) {
        this.ipagination.current = 1;
      }
      var params = this.getQueryParams();//查询条件
      this.loading = true;
      this.originTargetKeys=[];
      getAction(this.url.list, params).then((res) => {
        if (res.success) {
          this.dataSource = res.result.records||res.result;
          for(var i=0;i<res.result.records.length;i++){
            var enterpriseId=res.result.records[i]['enterpriseId']
            this.originTargetKeys.push(enterpriseId)
          }
          if(res.result.total)
          {
            this.ipagination.total = res.result.total;
          }else{
            this.ipagination.total = 0;
          }
          //update-end---author:zhangyafei    Date:20201118  for：适配不分页的数据列表------------
        }else{
          this.$message.warning(res.message)
        }
      }).finally(() => {
        this.loading = false
      })
    },

    }
  }
</script>
<style scoped>
  @import '~@assets/less/common.less'
</style>
